<style>

#impresion{
   width:216mm;
  

   margin: 0;
 
 padding: 0;
 
 
}
#empresa{
   display:flex;
  
}
#titulo{
   display: flex; 
   justify-content:  center;

   font-size: 30px;
   margin: 0;
   text-align: center;
   padding: 0;
  
   
}

#tit{

   
}
#tr{
   
   justify-content:  space-around;
}
h6{
   margin: 0;
   
   padding: 0;

}

table{
   font-size: 13px;
   

}
#infoventas{
   
   display:flex;
}

.item{
margin-right: 1px;

}
p {margin: 0; padding: 0;
font-size: 15px;
}
.produ{
   text-align: left;
}

#totalll{
   width: 40%;
  
   text-align: center;
  

}
#totalll p{
   font-size: 20px;
  
}
#datoempresa{
   width: 70%;
   
  
}
#datodian{
   margin-left: 2%;
   width: 30%;
  
}
#datoscliente p{
   font-size: 17px;
  
}

</style>
<?php

$bodega=$_POST["bodega"];
include("datosimpresion.php");

?>
<div id="impresion" >



<br>
<div id="titulo">

<?php
   if($logo!=""){
      echo(" 

      <div id=''>
             <img src='facturacion/$logo' width='290' height='80'> 
       </div>
      ");

   }
   ?>

     

      <div id="tit">
             <h6><?php print($nombreNegocio); ?> </h6>
             <h6><?php print($direccion); ?>  </h6>
      </div>  
  

</div>

<?php

use PhpParser\Node\Expr\Isset_;

$idc=$_POST["idc"];
$nombrec=$_POST["nombrec"];
$direc=$_POST["direc"];
$nombrev=$_POST["nombrev"];
$fecha=$_POST["fecha"];
$factura=$_POST["numf"];
$correo=$_POST["correo"];
$servicio=$_POST["servicio"];

echo("<hr>");
?>

<div id="empresa">
<?php
// session_start();
print("<br>");

echo("<div id='datoempresa'>");
print("<p class='empresa:'>$representante  Nit:" .$nit."  " ."  Tel: ".$tel."  " ." </p> ");
  // print(" <p class='empresa'>Nit:".$_SESSION["nit"]."  " ."</p>  ");
  // print(" <p class='empresa'>regimen comun"."  " ." </p> ");
  // print(" <p class='empresa'>Tel: ".$_SESSION["tel"]."  " ." </p> ");
echo("</div>");
$prefijo="";
// RESOLUCIONES DE LA DIAN
/*
echo("<div id='datodian'>");
      print(" <p class='empresa'>Resolucion:12344555555 </p> ");
      print(" <p class='empresa'>Rango:1 a la 100000  </p> ");
      print(" <p class='empresa'>Fecha: 23/07/2020 </p> ");
     
echo("</div>");
*/
      ?>
</div>   

<?php
        echo("<hr>");
        print("<div id='titulo'><h6>Detalle Cotizacion</h6> </div>");   
 echo("<div id='datoscliente'>");             
print("<p>Numero Cotizacion : <strong>".$factura."</strong>  ".  "fecha: <strong>" .$fecha. "</strong>  "." Asesor: <strong>".$nombrev."</strong> </p>");
print("<p>Cliente:<strong> ".$idc. "</strong>   " . "Nombre: <strong> ".$nombrec  . " </strong> ". "  Direc:<strong> ".$direc ."</strong> ". "  Correo:<strong> ".$correo ."</strong> </p>");
//print("<p>Nombre:".$nombrec  ." </p>");
//print("<p>Direc: ".$direc ." </p>");
//print("<p>Vendor:".$nombrev." </p>");
echo("</div>");  
//echo("<hr>");

echo("<hr>");



$produc=$_POST["factura"];
$fila = json_decode($produc,true);  
$total=$_POST["total"];
//regimen comun
$iva5=(int) $_POST["iva5"];
$iva19=(int)$_POST["iva19"];
$base5=(int)$_POST["base5"];
$base19=(int)$_POST["base19"];
$excento=(int)$_POST["excento"];
$totaliva=(int)$iva5+$iva19;
$excluido=(int)$_POST["excluido"];
$cambio=(int)$_POST["devuleta"];
$subtotal=$base19+$base5+$excento+$excluido;
//fin regimen comun



echo("<table id='tproductos'  WIDTH='100%' border='1' >
             <tr class='produ'>
              
	           <th>Codigo
              <th>Nombre
              <th>V.Antes.Iva
				  <th>Caja
              <th>Frcc
              <th>Base
              <th>iva
            
              <th>tipo.Iva
              <th>Total

       </tr>  ");
       foreach($fila as $valor) {
         $codigo=$valor["Codigo"];
         $nombre=$valor["Nombre"];
         $caja=$valor["Cantida_caja"];
         $frcc=$valor["Cantida_frcc"];
         $valot=($precio=$valor["precio"]);
         $tipoiva=$valor["tipo"];
         $Base=($valor["Base"]);
         $iva=number_format($valor["iva"]);
         
         if(!is_numeric($frcc)){
            $frcc=0;
            }
            if(!is_numeric($caja)){
               $caja=0;
            }
        
         if($Base==0){
                     
            if($frcc==0 and $caja>0){
               $totalunida=$valot/$caja;
            }elseif($frcc>0 and $caja==0){
               $totalunida=$valot/$frcc;

            }elseif($frcc>0 and $caja>0){

               $totalunida=($valot/$caja);
               


            }   
               
            }else{
         
            if($frcc==0 and $caja>0){
               $totalunida=$Base/$caja;
            }elseif($frcc>0 and $caja==0){
               $totalunida=$Base/$frcc;

            }elseif($frcc>0 and $caja>0){

               $totalunida=($Base/$caja);
               


            }
            
            }
           $Base=number_format($Base);
        $valot =number_format($valot);
        $totalunida=number_format($totalunida);
       
         echo("
               <tr>  
               
               <td>$codigo 
               <td>$nombre
               <td>$totalunida 
               <td>$caja
               <td>$frcc
               <td>$Base
               <td>$iva
               <td>$tipoiva
               <td>$valot
               </tr>
               ");
      
            }
     		echo("</table><br>");




//comun
?>
<div id="titulo">
 <h6>Detalle</h6>
</div>
<?php

//ccomun

$total5=$base5+$iva5;
$totall9=$base19+$iva19;
echo("<hr>");
?>
<div id="infoventas">
<?php
echo"<table  WIDTH='30%'  >
	          <tr class='sr'>
	           <th>Tipo
				  <th>Base
				  <th>Iva
				  <th>Total              
       </tr>  

       <tr>    
       <td>0       
       <td>$excento
       <td>0
       <td>$excento
       </tr>
       <tr>    
       <td>1         
       <td>$excluido
       <td>0
       <td>$excluido
       </tr>
       <tr>    
       <td>5%        
       <td>$base5
       <td>$iva5
       <td>$total5
       </tr>

       <tr>    
       <td>19%        
       <td>$base19
       <td>$iva19
       <td>$totall9
       </tr>


     			</table><br>";


//fin comun
print("<div id='totalll'>");
echo(" <p> Subtotal:  ".number_format($subtotal)."</p>");

// echo("<p> iva:  ".number_format($totaliva)."</p>");
if($servicio>0){
   echo("<p > Total:  <strong>".number_format($total-$servicio)." </strong></p>");
     
   echo("<p> Servicio:  ".number_format($servicio)."</p>");
   echo("<p > Total+Servicio:  <strong>".number_format($total)." </strong></p>");
}else{
   echo("<p > Total:  <strong>".number_format($total)." </strong></p>");
}
//fin comun




//echo("<h6> Cambio:  ".number_format($cambio)."</h6>");
print("</div>");

?>
</div >
<?php




?>
<div id="titulo">
<?php





echo("<hr>");


if(isset($_POST["copia"])=="copia"){
  echo(" <h6>Copia</h6>");
}


?>
  


</div>








<script type='text/javascript'>

function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
      
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

 
  
 
</script>

</div>